/* */
/* JT bmrec.cmd - program to use GFC to compare 2 bookmark files */
/* uses my bmarker.cmd file to strip date info out of netscape bookmark.htm */
/* files so that a diff process is useful */

call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
call SysLoadFuncs

parse arg dir1 dir2 .

if dir2= '' then call cussquit

fil1=checker(dir1)
fil2=checker(dir2)

out1= '$file1.bmk'
out2= '$file2.bmk'

call SysFileDelete out1
call SysFileDelete out2


call bmarker out1 fil1
call bmarker out2 fil2

'@gfc $file1.bmk $file2.bmk'

say 'Deleting temp files'

call SysFileDelete out1
call SysFileDelete out2

exit

cussquit: procedure 
   say 'Syntax is BMREC arg1 arg2 where arg1 and arg2 are'
   say 'either netscape bookmark files, or directories '
   say  'in which a 'bookmark.htm' file resides'
   say 'directory names MUST be terminated by a \ character'
   exit


checker:procedure
arg inarg .
xx=right(inarg,1)
if xx='\' then do
    return inarg||'bookmark.htm'
    end 

else do
    return inarg
    end

/* end checker proc */
