/* bmarker.CMD: strip extra from netscape bookmark files */
/* jt didit November 1997 mod Mar 1998  July 1999 */
/* Aug 2000 - tinkering with javascript so bookmarklets won't be mangled */
/* Dec 2001 - check for outfile existing, ask about overwriting */
/* last mod - preserve FOLDED if present, so bookmark file doesn't have all */
/* its folders open */

call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
call SysLoadFuncs

parse arg outfile infile .
if outfile='' then do
   do while queued()>0
       pull xxx
       end
   say '     BMARKER.  Converts infile to outfile stripping'
   say '     nonessential data; useful to compare one bookmark file'
   say '     to another'
   say '     '
   say '     Default infile is bookmark.htm'
   say '     Default outfile is bmark.htm'
   say '     Press enter to use these defaults, or specify on command line:'
   say '     Enter X to quit and start over'
   say '     syntax is BMAKKER outfile [infile]'
   pull xxx
   if xxx \= '' then exit
   outfile="bmark.htm"
   end

if infile = '' then infile="bookmark.htm"


say '  Converting' infile 'to' outfile

xx = stream(outfile,C,'query exists')
    if xx<>'' then do
    say 'Output file' outfile 'exists'
    say 'Press Enter to replace it; X to quit'
    yy=linein()
    if yy<>'' then exit
    xx=sysfiledelete(outfile)
    end


c=stream(infile,'C','OPEN READ')
c=stream(outfile,'C','OPEN WRITE')

do forever while lines(infile)>0
    lin=linein(infile)
    parse var lin first rest
    if first="<DT><A" then lin=fixlin(lin)
    if first="<DT><H3" then lin=fixfold(lin)
    if length(lin)>0 then xx = lineout(outfile,lin)
    end

xx=lineout(infile)
xx=lineout(outfile)
exit

fixlin: PROCEDURE
    parse arg lin
    a=pos(' ADD_DATE',lin)
    if a=0 then do
        lo=lin
        return lo
        end
    lo=left(lin,a-1)
    r2 =substr(lin,a)
    parse var r2 '>' r3
    lo=lo||'>'||r3
    return lo

 fixfold: PROCEDURE
    parse arg first r1
    lo=first
    parse var r1 r2a rest
    if r2a = 'FOLDED' then lo= LO 'FOLDED '
    parse var r1 '>' r3
    lo=lo||'>'||r3
    return lo

